Skip to main content
GET
/
api
/
projects
/
{projectId}
/
documents
List documents
curl --request GET \
  --url https://api.example.com/api/projects/{projectId}/documents \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/projects/{projectId}/documents"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/projects/{projectId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "key": "<string>",
      "path": "<string>",
      "name": "<string>",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "meta": {},
      "contentType": "<string>",
      "size": 123,
      "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "publishedId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "publishedAt": "<string>",
      "publishedBy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "published": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>",
        "content": "<unknown>",
        "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdBy": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "firstName": "<string>",
          "lastName": "<string>"
        },
        "createdAt": "<string>",
        "versions": [
          "<unknown>"
        ],
        "releases": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "version": "<string>"
          }
        ]
      },
      "versions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "status": "<string>",
          "content": "<unknown>",
          "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "createdBy": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "email": "jsmith@example.com",
            "firstName": "<string>",
            "lastName": "<string>"
          },
          "createdAt": "<string>",
          "versions": [
            "<unknown>"
          ],
          "releases": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "version": "<string>"
            }
          ]
        }
      ],
      "changeRequests": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "type": "<string>",
          "status": "<string>",
          "createdAt": "<string>"
        }
      ],
      "view": {
        "description": "<string>",
        "permissions": {}
      },
      "updatedAt": "<string>",
      "deletedAt": "<string>"
    }
  ],
  "paginate": {
    "current": 123,
    "from": 123,
    "to": 123,
    "total": 123,
    "pageSize": 123
  }
}

Authorizations

Authorization
string
header
required

Personal access token is obtained through your profile

Path Parameters

projectId
string<uuid>
required

Project unique identifier

Query Parameters

parentId
string<uuid>

Filter by parent document ID

deleted

Include only deleted documents

Available options:
true,
false,
True,
False,
TRUE,
FALSE

Search documents by name

key
string

Get a single document by exact key

keys
string

Comma separated list of document keys to retrieve

ancestors

Include ancestor documents

Available options:
true,
false,
True,
False,
TRUE,
FALSE
contentType
string

Filter by content type (comma separated)

directoriesOnly

Return only directory documents

Available options:
true,
false,
True,
False,
TRUE,
FALSE
directChildren

Return only direct children

Available options:
true,
false,
True,
False,
TRUE,
FALSE
page
number
default:1

Current page

perPage
number
default:10

Number of items per page

Response

200 - application/json

Paginated list of documents

Paginated list of documents

results
object[]
required

List of documents

paginate
object
required

Pagination metadata